You can update an existing content snippet.
Intercom API version.
By default, it's equal to the version set in the app package.
The content blocks that make up the body of the snippet. Mutually exclusive with body_markdown.
[ { "type": "paragraph", "text": "Navigate to Settings > Security > Reset password." } ]
The content of the snippet in markdown. An alternative to json_blocks — you can provide content as markdown instead of structured blocks. Mutually exclusive with json_blocks.
The list of audience IDs to target this content snippet to for Fin AI Agent. Omitting the field leaves existing audience memberships unchanged (PATCH semantics). Pass [] to clear all audience memberships. Unknown audience IDs return a 404 error with no partial commit.
[ 1, 2 ]
Whether the content snippet should be available for AI Chatbot (Fin).
Whether the content snippet should be available for AI Copilot.
- The production API serverhttps://api.intercom.io/content_snippets/{id}
- The european API serverhttps://api.eu.intercom.io/content_snippets/{id}
- The australian API serverhttps://api.au.intercom.io/content_snippets/{id}
curl -i -X PUT \
https://api.intercom.io/content_snippets/123 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.16' \
-d '{
"title": "How to reset your password (updated)",
"json_blocks": [
{
"type": "paragraph",
"text": "Go to Settings > Security > Reset password and follow the steps."
}
],
"audience_ids": [
1,
2
]
}'Content snippet updated
String representing the object's type. Always has the value content_snippet.
The content blocks that make up the body of the snippet.
[ { "type": "paragraph", "text": "Navigate to Settings > Security > Reset password." } ]
The body of the content snippet in markdown.
Whether the content snippet is available for AI Chatbot (Fin).
Whether the content snippet is available for AI Sales Agent.
The list of audience IDs this content snippet is targeted to for Fin AI Agent. Empty array means no audience targeting is set.
[ 1, 2 ]
Deprecated. Use ai_chatbot_availability instead. Whether this snippet is available for Fin (1 = on, 0 = off).
{ "type": "content_snippet", "id": "123", "title": "How to reset your password (updated)", "locale": "en", "json_blocks": [ { … } ], "body_markdown": "# How to reset your password (updated)\n\nGo to Settings > Security > Reset password and follow the steps.\n", "chatbot_availability": 1, "copilot_availability": 1, "ai_chatbot_availability": true, "ai_copilot_availability": true, "ai_sales_agent_availability": true, "created_at": 1663597223, "updated_at": 1663597300, "audience_ids": [ 1, 2 ] }